---
title: 'HTML attribute: rel'
slug: Web/HTML/Attributes/rel
tags:
  - Attribute
  - Attributes
  - Constraint validation
  - Link
  - form
  - rel
---
<p>{{draft}}</p>

<p class="summary">The <strong><code>rel</code></strong> attribute defines the relationship between a linked resource and the current document. Valid on {{htmlelement('link')}}, {{htmlelement('a')}}, {{htmlelement('area')}}, and {{htmlelement('form')}}, the supported values depend on the element on which the attribute is found.</p>

<p>The type of relationships is given by the value of the <code>rel</code> attribute, which, if present, must have a value that is an unordered set of unique space-separated keywords, which are listed in the following table. Every keyword within a space-separated value should be unique within that value.</p>

<table class="standard-table">
	<caption>Values for the <code>rel</code> attribute, and the elements for which each is relevant</caption>
	<thead>
		<tr>
			<th><code>rel</code> value</th>
			<th>Description</th>
			<th><code>{{htmlelement('link')}}</code></th>
			<th><code>{{htmlelement('a')}}</code> and <code>{{htmlelement('area')}}</code></th>
			<th><code>{{htmlelement('form')}}</code></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><code>{{anch("attr-alternate", "alternate")}}</code></td>
			<td>Alternate representations of the current document.</td>
			<td>Link</td>
			<td>Link</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-author", "author")}}</code></td>
			<td>Author of the current document or article.</td>
			<td>Link</td>
			<td>Link</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-bookmark", "bookmark")}}</code></td>
			<td>Permalink for the nearest ancestor section.</td>
			<td class="not-allowed">Not allowed</td>
			<td>Link</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-canonical", "canonical")}}</code></td>
			<td>Preferred URL for the current document.</td>
			<td>Link</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/dns-prefetch">dns-prefetch</a></code></td>
			<td>Tells the browser to preemptively perform DNS resolution for the target resource's origin</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-external", "external")}}</code></td>
			<td>The referenced document is not part of the same site as the current document.</td>
			<td class="not-allowed">Not allowed</td>
			<td>Annotation</td>
			<td>Annotation</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-help", "help")}}</code></td>
			<td>Link to context-sensitive help.</td>
			<td>Link</td>
			<td>Link</td>
			<td>Link</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-icon", "icon")}}</code></td>
			<td>An icon representing the current document.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-license", "license")}}</code></td>
			<td>Indicates that the main content of the current document is covered by the copyright license described by the referenced document.</td>
			<td>Link</td>
			<td>Link</td>
			<td>Link</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/manifest">manifest</a></code></td>
			<td>Web app manifest</td>
			<td class="not-allowed">Link</td>
			<td>Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/modulepreload">modulepreload</a></code></td>
			<td>Tells to browser to preemptively fetch the script and store it in the document's module map for later evaluation. Optionally, the module's dependencies can be fetched as well.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-next", "next")}}</code></td>
			<td>Indicates that the current document is a part of a series and that the next document in the series is the referenced document.</td>
			<td>Link</td>
			<td>Link</td>
			<td>Link</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-nofollow", "nofollow")}}</code></td>
			<td>Indicates that the current document's original author or publisher does not endorse the referenced document.</td>
			<td class="not-allowed">Not allowed</td>
			<td>Annotation</td>
			<td>Annotation</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/noopener">noopener</a></code></td>
			<td>Creates a top-level browsing context that is not an auxiliary browsing context if the hyperlink would create either of those, to begin with (i.e., has an appropriate<code> target </code>attribute value).</td>
			<td class="not-allowed">Not allowed</td>
			<td>Annotation</td>
			<td>Annotation</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-noreferrer", "noreferrer")}}</code></td>
			<td>No <code>Referer</code> header will be included. Additionally, has the same effect as <code>noopener</code>.</td>
			<td class="not-allowed">Not allowed</td>
			<td>Annotation</td>
			<td>Annotation</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-opener", "opener")}}</code></td>
			<td>Creates an auxiliary browsing context if the hyperlink would otherwise create a top-level browsing context that is not an auxiliary browsing context (i.e., has "<code>_blank</code>" as <code>target</code> attribute value).</td>
			<td class="not-allowed">Not allowed</td>
			<td>Annotation</td>
			<td>Annotation</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-pingback", "pingback")}}</code></td>
			<td>Gives the address of the pingback server that handles pingbacks to the current document.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/preconnect">preconnect</a></code></td>
			<td>Specifies that the user agent should preemptively connect to the target resource's origin.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/prefetch">prefetch</a></code></td>
			<td>Specifies that the user agent should preemptively fetch and cache the target resource as it is likely to be required for a followup navigation.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/preload">preload</a></code></td>
			<td>Specifies that the user agent must preemptively fetch and cache the target resource for current navigation according to the potential destination given by the <code><a href="as">as</a></code> attribute (and the priority associated with the corresponding destination).</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code><a href="/en-US/docs/Web/HTML/Link_types/prerender">prerender</a></code></td>
			<td>Specifies that the user agent should preemptively fetch the target resource and process it in a way that helps deliver a faster response in the future.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-prev", "prev")}}</code></td>
			<td>Indicates that the current document is a part of a series and that the previous document in the series is the referenced document.</td>
			<td>Link</td>
			<td>Link</td>
			<td>Link</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-search", "search")}}</code></td>
			<td>Gives a link to a resource that can be used to search through the current document and its related pages.</td>
			<td>Link</td>
			<td>Link</td>
			<td>Link</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-stylesheet", "stylesheet")}}</code></td>
			<td>Imports a style sheet.</td>
			<td>External Resource</td>
			<td class="not-allowed">Not allowed</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
		<tr>
			<td><code>{{anch("attr-tag", "tag")}}</code></td>
			<td>Gives a tag (identified by the given address) that applies to the current document.</td>
			<td class="not-allowed">Not allowed</td>
			<td>Link</td>
			<td class="not-allowed">Not allowed</td>
		</tr>
	</tbody>
</table>

<p>The <code>rel</code> attribute is relevant to the {{htmlelement('link')}}, {{htmlelement('a')}}, {{htmlelement('area')}}, and {{htmlelement('form')}} elements, but some values only relevant to a subset of those elements. Like all HTML keyword attribute values, these values are case-insenstive.</p>

<p>The <code>rel</code> attribute has no default value. If the attribute is omitted or if none of the values in the attribute are supported, then the document has no particular relationship with the destination resource other than there being a hyperlink between the two. In this case, on {{htmlelement('link')}} and {{htmlelement('form')}}, if the <code>rel</code> attribute is absent, has no keywords, or if not one or more of the space-separated keywords above, then the element does not create any links. {{htmlelement('a')}} and {{htmlelement('area')}} will still created links, but without a defined relationship.</p>

<p>Like all HTML keyword attribute values, these values are case-insensitive.</p>

<h2 id="Values">Values</h2>

<p>If there are multiple <code>&lt;link rel="icon"&gt;</code>s, the browser uses their <a href="media"><code>media</code></a> attribute, <a href="type"><code>type</code></a> and <a href="sizes"><code>sizes</code></a> attributes to select the most appropriate icon. If several icons are equally appropriate, the last one is used. If the most appropriate icon is later found to be inappropriate, for example, because it uses an unsupported format, the browser proceeds to the next-most appropriate, and so on.</p>

<p><strong>Note:</strong> Apple's iOS does not use this link type, nor the <a href="sizes"><code>sizes</code></a> attribute, like others mobile browsers do, to select a webpage icon for Web Clip or a start-up placeholder. Instead, it uses the non-standard <a class="external external-icon" href="https://developer.apple.com/library/content/documentation/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html#//apple_ref/doc/uid/TP40002051-CH3-SW4"><code>apple-touch-icon</code></a> and <a class="external external-icon" href="https://developer.apple.com/library/content/documentation/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html#//apple_ref/doc/uid/TP40002051-CH3-SW6"><code>apple-touch-startup-image</code></a> respectively.</p>

<p class="note">The <code>shortcut</code> link type is often seen before <code>icon</code>, but this link type is non-conforming, ignored and <strong>web authors must not use it anymore</strong>.</p>

<dl>
	<dt>{{htmlattrdef("alternate")}}</dt>
	<dd>Indicates an alternate representation of the current document. Valid for link, a, and area, the meaning depends on the values of the other attributes.
	<ul>
		<li>With the <code>{{anch('stylesheet')}}</code> keyword on a <code>&lt;link&gt;</code>, it creates an alternate stylesheet.
		<pre class="brush:html notranslate">&lt;!-- a persistent style sheet --&gt;
&lt;link rel="stylesheet" href="default.css"&gt;
&lt;!-- alternate style sheets --&gt;
&lt;link rel="alternate stylesheet" href="highcontrast.css" title="High contrast"&gt;</pre>
		</li>
		<li>With an <a href="hreflang">hreflang</a> attribute that differs from the document language, it indicates a translation.</li>
		<li>With the <a href="type">type</a> attribute, it indicates that the referenced document is the same content in a different format. For example, with <code>type="application/rss+xml"</code> it creates a hyperlink referencing a syndication feed.
		<pre class="brush:html notranslate">&lt;link rel="alternate" type="application/atom+xml" href="posts.xml" title="Blog"&gt;</pre>
		</li>
		<li>Both the <a href="hreflang">hreflang</a> and <a href="type">type</a> attributes specify links to versions of the document in an alternative format and language, intended for other media:
		<pre class="brush:html notranslate">&lt;link rel=alternate href="/fr/html/print" hreflang=fr type=text/html media=print title="French HTML (for printing)"&gt;
&lt;link rel=alternate href="/fr/pdf" hreflang=fr type=application/pdf title="French PDF"&gt;</pre>
		</li>
	</ul>
	</dd>
	<dt>{{htmlattrdef("author")}}</dt>
	<dd>Indicates the author of the current document or article. Relevant for {{htmlelement('link')}}, {{htmlelement('a')}}, and {{htmlelement('area')}} elements, the <code>author</code> keyword creates a hyperlink. With {{htmlelement('a')}} and {{htmlelement('area')}}, it indicates the linked document (or <code>mailto:</code>) provides information about the author of the nearest {{htmlelement('article')}} ancestor if there is one, otherwise the entire document. For {{htmlelement('link')}}, it represents the author of the entire document.
	<p class="note">Note: The obsolete <code>rev="made"</code> is treated as <code>rel="alternate"</code></p>
	</dd>
	<dt>{{htmlattrdef("bookmark")}}</dt>
	<dd>Relevant as the <code>rel</code> attribute value for the {{htmlelement('a')}} and {{htmlelement('area')}} elements, the bookmark provides a permalink for ancestor section, which is the nearest ancestor {{htmlelement('article')}} or {{htmlelement('section')}}, if there is at least one, otherwise, the nearest heading sibling or ancestor descendant, to the next..</dd>
	<dt>{{htmlattrdef("canonical")}}</dt>
	<dd>Valid for {{htmlelement('link')}}, it defines the preferred URL for the current document, which is useful for search engines.</dd>
	<dt>{{htmlattrdef("dns-prefetch")}}</dt>
	<dd>Relevant for the {{htmlelement('link')}} element both in the {{htmlelement('body')}} and {{htmlelement('head')}}, it tells the browser to preemptively perform DNS resolution for the target resource's origin. Useful for resources the user will likely need, it helps reduce latency and thereby improves performance when the user does access the resources as the browser preemptively performed DNS resolution for the origin of the specified resource. See <a href="/en-US/docs/Learn/Performance/dns-prefetch">dns-prefetch</a> described in <a href="">resource hints</a>.</dd>
	<dt>{{htmlattrdef("external")}}</dt>
	<dd>Relevant to {{htmlelement('form')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, it indicates the referenced document is not part of the current site. This can be used with attribute selectors to style external links in a way that indicates to the user that they will be leaving the current site.</dd>
	<dt>{{htmlattrdef("help")}}</dt>
	<dd>Relevant to {{htmlelement('form')}}, {{htmlelement('link')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, the <code>help</code> keyword indicates that the linked to content provides context-sensitive help, providing information for the parent of the element defining the hyperlink, and its children. When used within <code>&lt;link&gt;</code>, the help is for the whole document. When included with {{htmlelement('a')}} and {{htmlelement('area')}} and supported, the default {{cssxref('cursor')}} will be <code>help</code> instead of <code>pointer</code>.</dd>
	<dt>{{htmlattrdef("icon")}}</dt>
	<dd>
	<p>Valid with {{htmlelement('link')}}, the linked resource represents the icon, a resource for representing the page in the user interface, for the current document.</p>

	<p>The most common use for the <code>icon</code> value is the favicon:</p>

	<pre class="brush: html notranslate">&lt;link rel="icon" href="favicon.ico"&gt;</pre>

	<p>If there are multiple <code>&lt;link rel="icon"&gt;</code>s, the browser uses their <a href="media"><code>media</code></a> attribute, <a href="type"><code>type</code></a>, and <a href="sizes"><code>sizes</code></a> attributes to select the most appropriate icon. If several icons are equally appropriate, the last one is used. If the most appropriate icon is later found to be inappropriate, for example because it uses an unsupported format, the browser proceeds to the next-most appropriate, and so on.</p>

	<div class="notecard note">
	<p>Prior to Firefox 83 the <a href="/en-US/docs/Web/HTML/Attributes/crossorigin">crossorigin</a> attribute was not supported for <code>rel="icon"</code> there is also <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=1121645">an open issue for Chrome</a>.</p>
	</div>

	<p><strong>Note:</strong> Apple's iOS does not use this link type, nor the <a href="sizes"><code>sizes</code></a> attribute, like others mobile browsers do, to select a webpage icon for Web Clip or a start-up placeholder. Instead it uses the non-standard <a class="external external-icon" href="https://developer.apple.com/library/content/documentation/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html#//apple_ref/doc/uid/TP40002051-CH3-SW4"><code>apple-touch-icon</code></a> and <a class="external external-icon" href="https://developer.apple.com/library/content/documentation/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html#//apple_ref/doc/uid/TP40002051-CH3-SW6"><code>apple-touch-startup-image</code></a> respectively.</p>

	<p class="note">The <code>shortcut</code> link type is often seen before <code>icon</code>, but this link type is non-conforming, ignored and <strong>web authors must not use it anymore</strong>.</p>
	</dd>
	<dt>{{htmlattrdef("license")}}</dt>
	<dd>
	<p>Valid on the {{HTMLElement("a")}}, {{HTMLElement("area")}}, {{HTMLElement("form")}}, {{HTMLElement("link")}} elements, the <code>license</code> value indicates that the hyperlink leads to a document describing the licensing information; that the main content of the current document is covered by the copyright license described by the referenced document. If not inside the {{HTMLElement("head")}} element, the standard doesn't distinguish between a hyperlink applying to a specific part of the document or to the document as a whole. Only the data on the page can indicate this.</p>

	<pre class="brush: html notranslate">&lt;link rel="license" href="#license"&gt;</pre>

	<p><strong>Note:</strong> Although recognized, the synonym <code>copyright</code> is incorrect and must be avoided.</p>
	</dd>
	<dt>{{htmlattrdef("manifest")}}</dt>
	<dd><a href="/en-US/docs/Web/Manifest">Web app manifest</a>. Requires the use of the CORS protocol for cross-origin fetching.</dd>
	<dt>{{htmlattrdef("modulepreload")}}</dt>
	<dd>Useful for improved performance, and relevant to the {{htmlelement('link')}} anywhere in the document, setting <code>rel="modulepreload"</code> tells the browser to preemptively fetch the script (and dependencies) and store it in the document's module map for later evaluation. <code>modulepreload</code> links can ensure network fetching is done with the module ready (but not evaluated) in the module map before it is necessarily needed. See also <a href="/en-US/docs/Web/HTML/Link_types/modulepreload">link types: <code>modulepreload</code></a>.</dd>
	<dt>{{htmlattrdef("next")}}</dt>
	<dd>Relevant to {{htmlelement('form')}}, {{htmlelement('link')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, the <code>next</code> values indicates that the current document is a part of a series, and that the next document in the series is the referenced document. When included in a <code>&lt;link&gt;</code>, browsers may assume that document will be fetched next, and treat it as a resource hint.</dd>
	<dt>{{htmlattrdef("nofollow")}}</dt>
	<dd>Relevant to {{htmlelement('form')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, the <code>nofollow</code> keyword tells search engine spiders to ignore the link relationship. The nofollow relationship may indicate the current document's owner does not endorse the referenced document. It is often included by Search Engine Optimizers pretending their link farms are not spam pages.</dd>
	<dt>{{htmlattrdef("noopener")}}</dt>
	<dd>Relevant to {{htmlelement('form')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, creates a top-level browsing context that is not an auxiliary browsing context if the hyperlink would create either of those to begin with (i.e., has an appropriate<code> target </code>attribute value). In other words, it makes the link behave as if <code><a href="/en-US/docs/Web/API/Window/opener">window.opener</a></code> were null and <code><a href="target">target</a>="_parent"</code> were set.<br>
	<br>
	This is the opposite of {{anch("opener")}}.</dd>
	<dt>{{htmlattrdef("noreferrer")}}</dt>
	<dd>Relevant to {{htmlelement('form')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, including this value makes the referrer unknown (no <code>Referer</code> header will be included), and opens the creates a top-level browsing context, as if <code>noopener</code> were also set.</dd>
	<dt>{{htmlattrdef("opener")}}</dt>
	<dd>Creates an auxiliary browsing context if the hyperlink would otherwise create a top-level browsing context that is not anauxiliary browsing context (i.e., has "<code>_blank</code>" as <code>target</code> attribute value). Effectively, the opposite of {{anch("noopener")}}.</dd>
	<dt>{{htmlattrdef("pingback")}}</dt>
	<dd>Gives the address of the pingback server that handles pingbacks to the current document.</dd>
	<dt>{{htmlattrdef("preconnect")}}</dt>
	<dd>Specifies that the user agent should preemptively connect to the target resource's origin.</dd>
	<dt>{{htmlattrdef("prefetch")}}</dt>
	<dd>Specifies that the user agent should preemptively fetch and cache the target resource as it is likely to be required for a followup navigation.</dd>
	<dt>{{htmlattrdef("preload")}}</dt>
	<dd>Specifies that the user agent must preemptively fetch and cache the target resource for current navigation according to the potential destination given by the <code><a href="as">as</a></code> attribute (and the priority associated with the corresponding destination).</dd>
	<dt>{{htmlattrdef("prerender")}}</dt>
	<dd>Specifies that the user agent should preemptively fetch the target resource and process it in a way that helps deliver a faster response in the future.</dd>
	<dt>{{htmlattrdef("prev")}}</dt>
	<dd>
	<p>Similar to the {{anch("next")}} keyword, relevant to {{htmlelement('form')}}, {{htmlelement('link')}}, {{htmlelement('a')}}, and {{htmlelement('area')}}, the <code>prev</code> values indicates that the current document is a part of a series, and that the link references a previous document in the series is the referenced document.</p>

	<p>Note: The synonym <code>previous</code> is incorrect and should not be used.</p>
	</dd>
	<dt>{{htmlattrdef("search")}}</dt>
	<dd>
	<p>Relevant to {{htmlelement('form')}}, {{htmlelement('link')}}, {{htmlelement('a')}}, and {{htmlelement('area')}} elements, the <code>search</code> keywords indicates that the hyperlink references a document whose interface is specially designed for searching in the current document, site, and related resources, providing a link to a resource that can be used to search.</p>

	<p>If the <code><a href="type">type</a></code> attribute is set to <code>application/opensearchdescription+xml</code> the resource is an <a href="/en-US/docs/Creating_OpenSearch_plugins_for_Firefox">OpenSearch</a> plugin that can be easily added to the interface of some browsers like Firefox or Internet Explorer.</p>
	</dd>
	<dt>{{htmlattrdef("stylesheet")}}</dt>
	<dd>
	<p>Valid for the {{htmlelement('link')}} element, it imports an external resource to be used as a stylesheet. The <code><a href="type">type</a></code> attribute is not needed as it's a <code>text/css</code> stylesheet, as that is the default value. If it's not a stylesheet of type <code>text/css</code> it is best to declare the type.</p>

	<p>While this attribute defines the link as being a stylesheet, the interaction with other attributes and other key terms within the rel value impact whether the stylesheet is downloaded and/or used.</p>

	<p>When used with the {{anch('alternate')}} keyword, it defines an alternative style sheet. In this case, include a non-empty <code><a href="type">title</a></code>.</p>

	<p>The external stylesheet will not be used or even downloaded if the media does not match the value of the <code><a href="media">media</a></code> attribute.</p>

	<p>Requires the use of the CORS protocol for cross-origin fetching.</p>
	</dd>
	<dt>{{htmlattrdef("tag")}}</dt>
	<dd>Valid for the {{htmlelement('a')}}, and {{htmlelement('area')}} elements, it gives a tag (identified by the given address) that applies to the current document. The tag value denotes that the link refers to a document describing a tag applying to the document on which it is located. This link type is not meant for tags within a tag cloud, as those tags apply to a group of pages, whereas the <code>tag</code> value of the <code>rel</code> attribute is for a single document.</dd>
</dl>

<h3 id="Non-standard_values">Non-standard values</h3>

<dl>
	<dt>apple-touch-icon-precomposed</dt>
	<dd>
	<pre class="brush: html notranslate"> &lt;!-- third-generation iPad with high-resolution Retina display: --&gt;
  &lt;link rel="apple-touch-icon-precomposed" sizes="144x144" href="/static/img/favicon144.e7e21ca263ca.png"&gt;
  &lt;!-- iPhone with high-resolution Retina display: --&gt;
  &lt;link rel="apple-touch-icon-precomposed" sizes="114x114" href="/static/img/favicon114.d526f38b09c5.png"&gt;
  &lt;!-- first- and second-generation iPad: --&gt;
  &lt;link rel="apple-touch-icon-precomposed" sizes="72x72" href="/static/img/favicon72.cc65d1d762a0.png"&gt;
  &lt;!-- non-Retina iPhone, iPod Touch, and Android 2.1+ devices: --&gt;
  &lt;link rel="apple-touch-icon-precomposed" href="/static/img/favicon57.de33179910ae.png"&gt;
  &lt;!-- basic favicon --&gt;
  &lt;link rel="shortcut icon" href="/static/img/favicon32.7f3da72dcea1.png"&gt;</pre>
	</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.attributes.rel")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', 'links.html#linkTypes', 'rel attribute')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td>Added <code>opener</code>. Made <code>noopener</code> default  for <code>target="_blank"</code>.</td>
		</tr>
		<tr>
			<td>{{SpecName('HTML5 W3C', 'links.html#linkTypes', 'rel attribute')}}</td>
			<td>{{Spec2('HTML5 W3C')}}</td>
			<td>Added <code>tag</code>, <code>search</code>, <code>prefetch</code>, <code>noreferrer</code>, <code>nofollow</code>, <code>icon</code>, and <code>author</code>.<br>
			Renamed <code>copyright</code> to <code>license</code>.<br>
			Removed <code>start</code>, <code>chapter</code>, <code>section</code>, <code>subsection</code>, and <code>appendix</code></td>
		</tr>
		<tr>
			<td>{{SpecName("Preload", "#x2.link-type-preload", "preload")}}</td>
			<td>{{Spec2("Preload")}}</td>
			<td>Added <code>preload</code>.</td>
		</tr>
		<tr>
			<td>{{SpecName("Resource Hints", "#dfn-preconnect", "preconnect")}}</td>
			<td>{{Spec2("Resource Hints")}}</td>
			<td>Added <code>dns-prefetch</code>, <code>preconnect</code>, and <code>prerender</code> values.</td>
		</tr>
		<tr>
			<td>{{SpecName("HTML4.01", "types.html#type-links", "link types")}}</td>
			<td>{{Spec2("HTML4.01")}}</td>
			<td>Added <code>alternate</code>, <code>stylesheet</code>, <code>start</code>, <code>chapter</code>, <code>section</code>, <code>subsection</code>, <code>appendix</code>, and <code>bookmark</code>.<br>
			Renamed <code>previous</code> to <code>prev</code>.<br>
			Removed <code>top</code>, and <code>search</code>.</td>
		</tr>
		<tr>
			<td>{{SpecName("HTML3.2", "#link", "&lt;link&gt;")}}</td>
			<td>
			<p>{{Spec2("HTML3.2")}}<span class="spec-Obsolete"> (Obsolete)</span></p>
			</td>
			<td>Added <code>top</code>, <code>contents</code>, <code>index</code>, <code>glossary</code>, <code>copyright</code>, <code>next</code>, <code>previous</code>, <code>help</code>, and <code>search</code>.</td>
		</tr>
		<tr>
			<td>{{RFC(1866, "HTML 2.0")}}</td>
			<td>{{Spec2("HTML2.0")}}<span class="spec-Obsolete">(Obsolete)</span></td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility_2">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.link.rel")}}</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{domxref("HTMLLinkElement.relList")}}</li>
	<li>{{domxref("HTMLAnchorElement.relList")}}</li>
	<li>{{domxref("HTMLAreaElement.relList")}}</li>
</ul>
